*{
    box-sizing: border-box;
}

html, body{
    font-family: 'Ysabeau Office', sans-serif;
    margin: 0;
    padding: 0;
}

body{
    background: rgb(224, 220, 235);
    background-size: cover;
    background-attachment: fixed;
    width: 100vw;
    height: 100vh;
    overflow-x: hidden;
}

.iconShop{
    display: flex;
    position: relative;
    align-items: center;
    right: 30px;
    background-color: white;
    border-radius: 100%;
    height: 70px;
    width: 70px; 
    transition: 350ms ease-in-out;
    margin: 0;
    margin-top: 10px;
    margin-bottom: 10px;
}

#cartshop{
    position: relative;
    left: 14px;
    width: 80px;
    height: 80px;
    top: 25px;
    transition: 350ms ease-in-out;
    margin: 0;
}

.iconShop:hover{
    transform: scale(1.1);
    cursor: pointer;
}

header{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: rgb(37, 31, 53);
    width: 100vw;
    height: minmax(80px, 300px);
}

.titleContainer{
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

header h1{
    position: relative;
    margin: 0;
    color: white;
    display: inline-block;
    text-align: center;
    font-size: 50px;
    text-shadow: 2px 2px 1px rgb(255, 72, 0);
}

.espaciador{
    width: 80px;
    height: 80px;
}

@media (max-width: 680px) {
    .title {
      font-size: 40px;
      margin-right: 30px;
    }

    .espaciador{
        width: 0;
        height: 0;
    }

    .iconShop{
        display: flex;
        position: relative;
        align-items: center;
        top: 0px;
        right: 30px;
        background-color: white;
        border-radius: 100%;
        height: 50px;
        width: 50px; 
        transition: 350ms ease-in-out;
        margin: 0;
        margin-top: 10px;
        margin-bottom: 10px;
    }
    
    #cartshop{
        position: relative;
        left: 7px;
        width: 50px;
        height: 50px;
        top: 10px;
        transition: 350ms ease-in-out;
        margin: 0;
    }
}

@media (max-width: 456px) {
    .title {
      font-size: 40px;
      margin-right: 30px;
    }

    .espaciador{
        width: 0;
        height: 0;
    }

    .iconShop{
        display: flex;
        position: relative;
        align-items: center;
        top: 0px;
        right: 30px;
        background-color: white;
        border-radius: 100%;
        height: 50px;
        width: 50px; 
        transition: 350ms ease-in-out;
        margin: 0;
        margin-top: 30px;
        margin-bottom: 10px;
    }
    
    #cartshop{
        position: relative;
        left: 7px;
        width: 50px;
        height: 50px;
        top: 10px;
        transition: 350ms ease-in-out;
        margin: 0;
    }
}


.productoImagen{
    height: 250px;
    width: 200px;
    margin: 0;
    border-radius: 10px;
    margin-top: 15px;
}

.producto{
    margin: 0;
    cursor: pointer;
}

.content{
    margin-inline: auto;
    width: 90%;
    height: auto;
    display: flex;
    flex-wrap: inherit;
    justify-content: center;
    flex-wrap: wrap;
    gap: 30px;
}

.info{
    bottom: 30px;
    position: relative;
    background-color: rgb(172, 58, 58);
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    margin: 0;
    padding: 0;
    color: white;
}

.info h3{
    margin: 0;
    padding: 0;
    text-align: center;
    font-size: 19px;
}

.info p{
    margin: 0;
    text-align: center;
}

.add{
    position: relative;
    bottom: 300px;
    margin: 0;
    background-color: rgba(0, 0, 0, 0.548);
    height: 79%;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 350ms ease-in-out;
    opacity: 0;
}

.producto:hover .add{
    opacity: 1;
}

.add h3{
    margin: 0;
    color: white;
    text-align: center;
}

.amount{
    background-color: rgb(211, 71, 71);
    color: white;
    display: inline-block;
    position: relative;
    top: 20px;
    width: 40px;
    left: 0px;
    height: 25px;
    text-align: center;
    border-radius: 4px;
    box-shadow: 4px 4px 4px rgba(63, 2, 2, 0.801);
}

.shoppingCartService{
    box-shadow: -5px -2px 4px rgba(90, 0, 0, 0.267);
    top: 90px;
    right: 0px;
    position: fixed;
    background-color: rgb(227, 236, 247);
    width: 0;
    height: 100%;
    transition: 300ms ease-in-out;
    align-items: center;
    display: flex;
    opacity: 0;
    flex-direction: column;
}

.display{
    opacity: 1;
    width: 30vw !important;
}

@media(max-width: 1091px){
    .display{
        width: 80vw !important;
    }
}

.shoppingCartService ul{
    font-weight: bold;
    color: rgb(255, 255, 255);
    text-shadow: 1px 1px 1px black;
}

.shoppingCartService button{
    width: 50%;
    background-color: rgb(197, 93, 93);
    border: none;
    height: 35px;
    border-radius: 25px;
    cursor: pointer;
    color: white;
    font-weight: bold;
    transition: 250ms ease-in-out;
}

.shoppingCartService p{
    color: white;
    text-shadow: 1px 1px 1px black;
}


.shoppingCartService button:hover{
    transform: scale(1.1)
}

.ekis{
    margin: 15px;
}

.ekis:hover{
    cursor: pointer;
}

#spinner{
    width: 50px;
    border: 1px rgba(0, 0, 0, 0.507) solid;
    border-radius: 2px;
    color: white;
    background-color: rgb(197, 93, 93);
}